subset.cm {oce} | R Documentation

## Subset a cm object

### Description

Subset a cm (current meter) object

### Usage

    ## S4 method for signature 'cm'
    subset(x, subset, ...)

### Arguments

`x` | a `cm` object.
`subset` | a condition to be applied to the `data` portion of `x`. See ‘Details’.
`...` | ignored.

### Details

This function is somewhat analogous to `subset.data.frame`.

### Value

A new `cm` object.

### Author(s)

Dan Kelley

### Examples

    library(oce)
    data(cm)
    plot(cm)
    plot(subset(cm, time < mean(range(cm[['time']]))))

[Package oce version 0.9-18 Index]